Qt 5.7 | Qt Charts | C++ Classes | QStackedBarSeries

Qt 5.7.1 Reference Documentation

# QStackedBarSeries Class

Series for creating stacked bar chart. More...

Header: | #include <QStackedBarSeries>
Instantiated By: | StackedBarSeries
Inherits: | QAbstractBarSeries

- List of all members, including inherited members

## Public Functions

| QStackedBarSeries(QObject *parent = Q_NULLPTR)
| ~QStackedBarSeries()

## Reimplemented Public Functions

virtual QAbstractSeries::SeriesType | type() const

- 18 public functions inherited from QAbstractBarSeries
- 15 public functions inherited from QAbstractSeries

### Additional Inherited Members

- 6 properties inherited from QAbstractBarSeries
- 5 properties inherited from QAbstractSeries
- 12 signals inherited from QAbstractBarSeries
- 4 signals inherited from QAbstractSeries

## Detailed Description

Series for creating stacked bar chart.

QStackedBarSeries represents a series of data shown as bars. The purpose of this class is to draw bars as stacks, where bars in same category are stacked on top of each other. QStackedBarSeries groups the data from sets to categories, which are defined by QStringList.

See the stacked bar chart example to learn how to create a stacked bar chart.

See also QBarSet, QPercentBarSeries, and QAbstractBarSeries.

## Member Function Documentation

### QStackedBarSeries::QStackedBarSeries(QObject *parent = Q_NULLPTR)

Constructs empty QStackedBarSeries. QStackedBarSeries is QObject which is a child of a parent.

### QStackedBarSeries::~QStackedBarSeries()

Destructor. Removes series from chart.

### `[virtual]` QAbstractSeries::SeriesType QStackedBarSeries::type() const

Reimplemented from QAbstractSeries::type().

Returns QAbstractSeries::SeriesTypeStackedBar.